Skip to main content
GET
List a sequence's retries

Authorizations

X-API-Key
string
header
required

Path Parameters

sequence_id
string<uuid>
required

Query Parameters

status
enum<string> | null

Only Runs in this state; open for the one queued or running, which is how a page opened while a retry works finds it. Every state when absent.

Available options:
open,
queued,
running,
succeeded,
failed
limit
integer
default:10

The number of items to return.

Required range: 1 <= x <= 100
order_by
enum<string>
default:created_at
Available options:
created_at
order_direction
enum<string>
default:desc
Available options:
asc,
desc
cursor
string | null

Set the cursor to the next or previous page. You can get the cursor from the previous page's response.

Response

Successful Response

data
SequenceRetryRunReadSchema · object[]

The list of ResponseItems.

next_page_cursor
string | null

The cursor to the next page. If there are no more pages, this is None.

previous_page_cursor
string | null

The cursor to the previous page. If there are no previous pages, this is None.